Light Logo
Users

List users

Retrieves a paginated list of users. By default the users are returned in the order that they joined WriftAI.

GET
/users
AuthorizationBearer <token>

In: header

Query Parameters

cursor?Cursor

The starting point to fetch the next set of items.

page_size?Page Size

The number of results per page.

Default25
Range5 <= value <= 100
sort_by?UsersSortBy

The field by which to sort the results.

Default"created_at"
Value in"created_at"
sort_direction?Sort Direction

The direction in which to sort the results.

Default"asc"
Value in"asc" | "desc"

Response Body

curl -X GET "https://api.wrift.ai/v1/users?cursor=string&page_size=25&sort_by=created_at&sort_direction=asc"
{
  "items": [
    {
      "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
      "name": "string",
      "avatar_url": "string",
      "display_name": "string",
      "bio": "string",
      "location": "string",
      "company": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string",
  "previous_cursor": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}